#ifndef TEXTPRINTERWINDOW_H
#define TEXTPRINTERWINDOW_H

#include <QMainWindow>

namespace Ui {
    class TextPrinterWindow;
}

class TextPrinterWindow : public QMainWindow {
    Q_OBJECT
public:
    TextPrinterWindow(QWidget *parent = 0);
    ~TextPrinterWindow();

protected:
    void changeEvent(QEvent *e);
    void closeEvent(QCloseEvent *e);

private:
    Ui::TextPrinterWindow *ui;

private slots:
    void on_actionSave_triggered();
    void on_actionClear_triggered();
    void on_actionWord_wrap_triggered();
    void print(const QString &text);

signals:
    void closed();
};

#endif // TEXTPRINTERWINDOW_H
